ULED(4)

NAME
uled - USB LED driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device uled
device usb

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uled_load="YES"

DESCRIPTION
The uled driver provides support for the Dream Cheeky WebMail Notifier device.

Subsequently, the /dev/uled0 device can be used by userland applications.

IOCTLS
The following ioctl(2) commands can be performed on /dev/uled0, which are defined in <dev/usb/uled_ioctl.h>:

ULED_GET_COLOR
    The command returns LED colors with values for RGB. This ioctl(2) takes the following structure:

        struct uled_color {
        	uint8_t	red;
        	uint8_t	green;
        	uint8_t	blue;
        };

ULED_SET_COLOR
    The command sets LED colors with values for RGB. It uses the same structure as above.

FILES
/dev/uled0
    blocking device node

SEE ALSO
ohci(4), uhci(4), usb(4)

AUTHORS
-nosplit The uled driver was written by Kevin Lo <kevlo@FreeBSD.org>.